Inhalte
Index 🔎︎

# Anweisung DefBool

Die Anweisung DefBool legt den Standard-Variablentyp für Variablen fest, deren Name mit bestimmten Zeichen (dem angegebenen Zeichenbereich) anfängt, deren Typ jedoch nicht explizit durch ein Typ-Deklarationszeichen oder ein Schlüsselwort definiert wird.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameter:

char: Buchstabenpräfix, das den Standarddatentyp für Variablen angibt.

char-char: Buchstabenbereichspräfixe, die den Standarddatentyp für Variablen angeben.

### Beispiel:

        ' Präfixdefinitionen für Variablentypen:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefBool
          Print TypeName(Boole), VarType(Babbage), bitcoin ' Anzeige: Boolean 11 False
          bOK=True ' bOK ist eine implizite boolesche Variable
      End Sub